/* Copyright (C) 2008 Zachary Lund and Ryan Ozechowski */

function initPlayer(pWidth,pHeight)
{
	var so = new SWFObject('flash/mediaplayer.swf','jstest',pWidth,pHeight,'7');
	so.addParam('allowscriptaccess','always');
	so.addParam('allowfullscreen','false');
	//so.addVariable('autostart','false');
	so.addVariable('width',pWidth);
	so.addVariable('height',pHeight);
	//so.addVariable('displaywidth','200');
	so.addVariable('file','playlist.xml');
	so.addVariable('javascriptid','jstest');
	//so.addVariable('repeat','list');
	so.addVariable('shuffle','false');
	so.addVariable('enablejs','true');
	so.write('player_container');
}

function sendEvent(swf,typ,prm)
{
	thisMovie(swf).sendEvent(typ,prm); 
}


var currentItem;
var currentState = 0;
var timeRemaining;
var currentTrackID = 0;
var currentPlaylist;

function getUpdate(typ,pr1,pr2,swf)
{
	if (typ == 'item')
	{
		currentItem = pr1;
		currentTrackID = trackInfo[pr1][0];
		
		document.getElementById("songinfo_container").innerHTML = trackInfo[pr1][1] + "<br />" + trackInfo[pr1][2];
		
		var tbody = document.getElementById('songTable').getElementsByTagName("tbody")[0];
		
		alt = true;
		var offset = 1;
		if(navigator.userAgent.indexOf("Firefox") != -1)
			offset = 2;
		
		for (var i = offset; i < tbody.childNodes.length; i++)
		{
			
				
			if (i == pr1 + offset)
				tbody.childNodes[i].className = "selectedRow"
			else if (alt)
				tbody.childNodes[i].className = "altRow"
			else
				tbody.childNodes[i].className = "normalRow"
			alt = !alt
		}
		
	}
	else if (typ == 'state')
	{
		currentState = pr1
	}
	else if (typ = 'time')
	{
		timeRemaining = pr2
		
		// Hacks to make repeating work correctly:
		if (pr2 == 0 && pr1 != 0)
		{
			if (repeat == 1 && currentItem == trackInfo.length - 1) // repeat all
				sendEvent('jstest','playitem', 0);
			else if (repeat == 2) // repeat song
				sendEvent('jstest','scrub', 0);
			else if (currentItem < trackInfo.length - 1)
				sendEvent('jstest','next');
		}
	}
}

function thisMovie(swf)
{
	if(navigator.appName.indexOf("Microsoft") != -1)
	{
		return window[swf];
	}
	else
	{
		return document[swf];
	}
}

function loadFile(swf,obj)
{
	thisMovie(swf).loadFile(obj); 
}

function addItem(swf,obj,idx)
{ 
	thisMovie(swf).addItem(obj,idx);
}

function getLength(swf)
{
	var len = thisMovie(swf).getLength();
	return len;
}

function itemData(swf,idx)
{
	var obj = thisMovie(swf).itemData(idx);
	var txt = "";
	for(var k in obj)
		txt += obj[k] + ";";
	return txt;
}

function removeItem(swf,idx)
{
	thisMovie(swf).removeItem(idx); 
}

function PlaySong(trackID)
{
	currentPlaylist = selectedPlaylist;
	
	var indexToPlay = 0;
	
	for (var i=0; i < trackInfo.length; i++)
	{
		var path = "file.php?id=" + trackInfo[i][0] + "&junk=file.mp3";
		addItem('jstest',{file:path,title:trackInfo[i][0]},i);
		if (i == 0)
			removeItem('jstest',1);
		
		if (trackInfo[i][0] == trackID)
			indexToPlay = i;
	}
	
	sendEvent('jstest','playitem', indexToPlay);
}

function updateSize()
{
	if (document.body.clientWidth < 400)
	{
		initPlayer(document.body.clientWidth-10,'20');
	}
	else
	{
		initPlayer('400','20');
	}
}

function PlayerPlayPause()
{
	sendEvent('jstest','playpause');
}
function PlayerPrevious()
{
	sendEvent('jstest','prev');
}
function PlayerNext()
{
	sendEvent('jstest','next');
}

function Search()
{
	searchBox = document.getElementById("search");
	
	getSonglist("", searchBox.value)
}

var shuffle = false;
function ToggleShuffle()
{
	shuffle = !shuffle;
	if (shuffle==true)
		document.getElementById("shuffle").style.background="url(images/iTunesFooter5.jpg)";
	else
		document.getElementById("shuffle").style.background="url(images/iTunesFooter4.jpg)";
		 
	searchBox = document.getElementById("search");
	getSonglist("", searchBox.value);
}

// repeat: 0=none, 1=all, 2=song
var repeat = 0;
function ToggleRepeat()
{
	repeat = repeat + 1;
	if (repeat > 2)
		repeat = 0;
	
	repeatDiv = document.getElementById("repeat");

		if (repeat == 0)
				repeatDiv.style.background="url(images/iTunesFooter1.jpg)";
				
		else if (repeat == 1)
				repeatDiv.style.background="url(images/iTunesFooter2.jpg)";
		
		else if (repeat == 2)
				repeatDiv.style.background="url(images/iTunesFooter3.jpg)";

}


